QSjisCodec(3qt)

NAME
QSjisCodec - Provides conversion to and from Shift-JIS

SYNOPSIS

#include <qsjiscodec.h>

Inherits QTextCodec.

  Public Members
virtual int mibEnum () const
const char* name () const
QTextDecoder* makeDecoder () const
QCString fromUnicode ( const QString & uc, int & len_in_out ) const
int heuristicContentMatch ( const char * chars, int len ) const
int heuristicNameMatch ( const char * hint ) const
QSjisCodec ()

DESCRIPTION
Provides conversion to and from Shift-JIS.

The QJisCodec class subclasses QTextCodec to provide support for Shift-JIS, an encoding of JIS X 0201 Latin, JIS X 0201 Kana or JIS X 0208.

The environment variable UNICODEMAP_JP can be used to fine-tune how QJpUnicodeConv, QEucJpCodec, QJisCodec and QSjisCodec do their work. The QJpUnicodeConv documentation describes how to use this variable.

It was largely written by Serika Kurusugawa a.k.a. Junji Takagi, and is included in Qt with the author's permission, and the grateful thanks of the Trolltech team. Here is the copyright statement for that code:

Copyright (c) 1999 Serika Kurusugawa, All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1   Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

MEMBER FUNCTION DOCUMENTATION

QSjisCodec::QSjisCodec ()
Creates a Shift-JIS codec. Note that this is done automatically by the QApplication, you do not need construct your own.

QString QSjisCodec::toUnicode ( const char * chars, int len ) const [virtual]
Reimplemented for internal reasons; the API is not affected.

Reimplemented from QTextCodec.

SEE ALSO
http://doc.trolltech.com/qsjiscodec.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.